Skip to main content
POST
/
generation
/
black-forest-labs
/
kontext
Flux Kontext
curl --request POST \
  --url https://open.skills.video/api/v1/generation/black-forest-labs/kontext \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Flux Kontext image generation model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

application/json
prompt
string
required

Text description of the image to generate.

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
aspect_ratio
enum<string>
default:1:1

Aspect ratio for the generated image. Use 'match_input_image' to match the first input image's aspect ratio.

Available options:
1:1,
16:9,
3:2,
2:3,
4:5,
5:4,
9:16,
3:4,
4:3
resolution
enum<string>
default:2K

Resolution of the generated image

Available options:
1K,
2K,
4K
image_urls
string<uri>[]

List of input images for image-to-image generation. Maximum 4 images. Must be jpeg, png, gif, or webp.

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request